org.apache.commons.imaging.palette

## Class QuantizedPalette

- java.lang.Object
- - org.apache.commons.imaging.palette.QuantizedPalette

- All Implemented Interfaces:
    Palette

      public class QuantizedPalette
      extends Object
      implements Palette

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuantizedPalette(List<org.apache.commons.imaging.palette.ColorSpaceSubset> subsets, int precision)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEntry(int index)` Looks up the color for a given palette index.
    `int` | `getPaletteIndex(int rgb)` Looks up the palette index for a given color.
    `int` | `length()` The number of entries in the palette.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuantizedPalette

          public QuantizedPalette(List<org.apache.commons.imaging.palette.ColorSpaceSubset> subsets,
                                  int precision)

  - ### Method Detail

    - #### getPaletteIndex

          public int getPaletteIndex(int rgb)
                              throws ImageWriteException

      Description copied from interface: `Palette`
      Looks up the palette index for a given color.
      Specified by:
        `getPaletteIndex` in interface `Palette`
      Parameters:
        `rgb` - the color to look up
      Returns:
        the palette index
      Throws:
        `ImageWriteException` - if it fails to read the palette index

    - #### getEntry

          public int getEntry(int index)

      Description copied from interface: `Palette`
      Looks up the color for a given palette index.
      Specified by:
        `getEntry` in interface `Palette`
      Parameters:
        `index` - the palette index to look up
      Returns:
        the color in ARGB format

    - #### length

          public int length()

      Description copied from interface: `Palette`
      The number of entries in the palette.
      Specified by:
        `length` in interface `Palette`
      Returns:
        the number of palette entries

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.